Package: org.codehaus.groovy.control

## [Java] Class LabelVerifier

- org.codehaus.groovy.control.LabelVerifier

- This class checks the handling of labels in the AST

  Authors:
    Jochen Theodorou

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LabelVerifier (SourceUnit src)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `assertNoLabelsMissed()`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `void` | `visitBreakStatement(BreakStatement statement)`
    `` | `protected void` | `visitClassCodeContainer(Statement code)`
    `` | `void` | `visitContinueStatement(ContinueStatement statement)`
    `` | `void` | `visitDoWhileLoop(DoWhileStatement loop)`
    `` | `void` | `visitForLoop(ForStatement forLoop)`
    `` | `void` | `visitStatement(Statement statement)`
    `` | `void` | `visitSwitch(SwitchStatement statement)`
    `` | `void` | `visitWhileLoop(WhileStatement loop)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class ClassCodeVisitorSupport`

    `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

    `class CodeVisitorSupport`

    `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public LabelVerifier(SourceUnit src)

  - ### Method Detail

    - #### protected void assertNoLabelsMissed()

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitBreakStatement(BreakStatement statement)

    - #### protected void visitClassCodeContainer(Statement code)

    - #### public void visitContinueStatement(ContinueStatement statement)

    - #### public void visitDoWhileLoop(DoWhileStatement loop)

    - #### public void visitForLoop(ForStatement forLoop)

    - #### public void visitStatement(Statement statement)

    - #### public void visitSwitch(SwitchStatement statement)

    - #### public void visitWhileLoop(WhileStatement loop)